#
# Conditional build:
%bcond_without	qch	# documentation in QCH format

%define		orgname		qtimageformats
%define		qtbase_ver	%{version}
%define		qttools_ver	%{version}
Summary:	The Qt5 Image Formats plugins
Summary(pl.UTF-8):	Wtyczki Qt5 Image Formats
Name:		qt5-%{orgname}
Version:	5.5.1
Release:	2
License:	LGPL v2.1 with Digia Qt LGPL Exception v1.1 or GPL v3.0
Group:		X11/Libraries
Source0:	http://download.qt.io/official_releases/qt/5.5/%{version}/submodules/%{orgname}-opensource-src-%{version}.tar.xz
# Source0-md5:	f935b629184200b155a3048ee67c81ab
URL:		http://www.qt.io/
BuildRequires:	Qt5Core-devel >= %{qtbase_ver}
BuildRequires:	Qt5Gui-devel >= %{qtbase_ver}
BuildRequires:	jasper-devel
BuildRequires:	libmng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libwebp-devel >= 0.4.3
%if %{with qch}
BuildRequires:	qt5-assistant >= %{qttools_ver}
%endif
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
%define		qt5dir		%{_libdir}/qt5

%description
Qt is a cross-platform application and UI framework. Using Qt, you can
write web-enabled applications once and deploy them across desktop,
mobile and embedded systems without rewriting the source code.

This package contains Qt5 Image Formats plugins for Qt5Gui library.

%description -l pl.UTF-8
Qt to wieloplatformowy szkielet aplikacji i interfejsów użytkownika.
Przy użyciu Qt można pisać aplikacje powiązane z WWW i wdrażać je w
systemach biurkowych, przenośnych i wbudowanych bez przepisywania kodu
źródłowego.

Ten pakiet zawiera wtyczki Qt5 Image Formats dla biblioteki Qt5Gui.

%package -n Qt5Gui-imageformats
Summary:	Qt5 Image Formats plugins for Qt5Gui library
Summary(pl.UTF-8):	Wtyczki Qt5 Image Formats dla biblioteki Qt5Gui
Group:		X11/Libraries
Requires:	libwebp >= 0.4.3
Obsoletes:	qt5-qtimageformats
Obsoletes:	qt5-qtimageformats-devel

%description -n Qt5Gui-imageformats
This package contains Qt5Gui Image Formats plugins that support the
following formats:
- DDS (Direct Draw Surface)
- ICNS (Apple Icon Image)
- JP2 (JPEG2000; Joint Photographic Experts Group 2000)
- MNG (Multiple-image Network Graphics)
- TGA (Truevision Graphics Adapter)
- TIFF (Tagged Image File Format)
- WBMP (Wireless Bitmap)
- WEBP (WebP)

%description -n Qt5Gui-imageformats -l pl.UTF-8
Ten pakiet zawiera wtyczki Image Formats dla biblioteki Qt5Gui,
obsługujące następujące formaty:
- DDS (Direct Draw Surface)
- ICNS (Apple Icon Image)
- JP2 (JPEG2000; Joint Photographic Experts Group 2000)
- MNG (Multiple-image Network Graphics)
- TGA (Truevision Graphics Adapter)
- TIFF (Tagged Image File Format)
- WBMP (Wireless Bitmap)
- WEBP (WebP)

%package doc
Summary:	Qt5 Image Formats documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja do wtyczek Qt5 Image Formats w formacie HTML
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description doc
Qt5 Image Formats documentation in HTML format.

%description doc -l pl.UTF-8
Dokumentacja do wtyczek Qt5 Image Formats w formacie HTML.

%package doc-qch
Summary:	Qt5 Image Formats documentation in QCH format
Summary(pl.UTF-8):	Dokumentacja do wtyczek Qt5 Image Formats w formacie QCH
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description doc-qch
Qt5 Image Formats documentation in QCH format.

%description doc-qch -l pl.UTF-8
Dokumentacja do wtyczek Qt5 Image Formats w formacie QCH.

%prep
%setup -q -n %{orgname}-opensource-src-%{version}

%build
qmake-qt5
%{__make}
%{__make} %{!?with_qch:html_}docs

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%{__make} install_%{!?with_qch:html_}docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n Qt5Gui-imageformats
%defattr(644,root,root,755)
%doc LGPL_EXCEPTION.txt dist/changes-*
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqdds.so
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqicns.so
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqjp2.so
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqmng.so
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqtga.so
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqtiff.so
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqwbmp.so
%attr(755,root,root) %{qt5dir}/plugins/imageformats/libqwebp.so
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QDDSPlugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QICNSPlugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QJp2Plugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QMngPlugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QTgaPlugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QTiffPlugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QWbmpPlugin.cmake
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QWebpPlugin.cmake

%files doc
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtimageformats

%if %{with qch}
%files doc-qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtimageformats.qch
%endif
%changelog
* Mon Jan 04 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtimageformats.git;a=log;h=master

* Mon Jan 04 2016 Jan Rękorajski <baggins@pld-linux.org> 8fb9279
- release 2 (by relup.sh)

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 6874643
- updated to 5.5.1

* Sat Jun 13 2015 Elan Ruusamäe <glen@delfi.ee> 950b21e
- up to 5.4.2

* Tue Mar 03 2015 Jan Rękorajski <baggins@pld-linux.org> 7f4fdc5
- up to 5.4.1

* Thu Oct 16 2014 Jan Rękorajski <baggins@pld-linux.org> f5797a8
- up to 5.3.2

* Sat Jul 05 2014 Jakub Bogusz <qboosh@pld-linux.org> fc222e0
- updated to 5.3.1

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 8b0af94
- clarified License, added base docs

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 186598a
- updated to 5.3.0
- package plugins as Qt5Gui-imageformats package

* Sat Jun 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 0d45f8c
- pl, partially cleaned up/unified with other qt5-*

* Wed Jan 01 2014 Elan Ruusamäe <glen@delfi.ee> 91bfc0e
- noarch -doc, -examples; tar.xz deps

* Tue Dec 31 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 13472b5
- new

